Wide Studio Object Reference

Wide Studio Home
Up to

## Class Name

WSCscrForm

## Specification of methods

### getVisibleWidth method

Form
  long getVisibleWidth()
Function
  Returns the real width of the area.
Description
Parameters
  None.
Return value
  Returns the real width excluding the scroll bars.
Notice
  Refer to property WSNworkWidth or WSNwidth, to obtain the virtual width of an area or the width of an instance.
Samples

        //get real width of indicated display area.
        long vw = newscrF_000->getVisibleWidth();

### getVisibleHeight method

Form
  long getVisibleHeight()
Function
  Returns the real height of the area.
Description
Parameters
  None.
Return value
  Returns the real height excluding the scroll bars.
Notice
  Refer the property WSNworkHeight or WSNheight, if you want the virtual height of area or the height of the instance.
Samples

        //get real height of indicated dislay area.
        long vh = newscrF_000->getVisibleHeight();

### getScrForm method

Form
  WSCbase* getScrForm()
Function
  Returns the internal instance of the class: WSCscrFrame which provides the scrolled area.
Description
Parameters
  None.
Return value
  Returns the internal instance of the scrolled area. WSCscrForm inherits the WSCform and consists of an internal instance of the scrolled area and scroll bars.
Notice
  Do not delete the return value.
Samples

        //get the internal instance of the scrolled area..
        WSCbase* scrform = newscrF_000->getScrFrame();

### onActivate method

Form
  void onActivate()
Function
  It executes this method when scrolling is done.
Description
  Instead of the event procedure by the WSEV_ACTIVATE trigger, the WSEV_ACTIVATE event can be handled by overloading of this method.
Parameters
  None.
Return value
  None.
Notice
  If needed, overload this method on the sub classes.
Samples

      void new_class::onActivate(){
        //do something when scrolling is done.

        //call the method of the parent class.
        old_class::onActivate();
      }

Document Release 3.70
For use with Wide Studio Release 3.70, Spring 2004

Wide Studio Home | Up to

Copyright(C) WideStudio Development Team, 1999-2004 |  | Last modified: May 25, 2004